﻿* {
    padding: 0;
    margin: 0;
    list-style: none;
    outline: unset;
    box-sizing: border-box;
}
.overHidden {
    overflow: hidden;
}

/* input style begin */
/* Ant Design-style Select Container */
.antd-select-container {
  width: 100%;
  margin-bottom: 16px;
}

/* Base styling for Select */
.antd-select {
  position: relative;
  width: 100%;
  background: #fff;
  border: 1px solid #d9d9d9;
  border-radius: 100px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}

/* Display area for Select */
.antd-select-display {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 11px 20px 11px 20px;
  font-size: 14px;
  color: #000;
  background-color: #fff;
  border-radius: 100px;
  overflow: hidden;
}

/* Hover Effect for Display */
.antd-select-display:hover {
  border-color: #04AFFF;
}

.antd-select-display #selectResult {
    font-weight: 500;
    font-size: 16px;
    line-height: 26px;
    letter-spacing: 0.5px;
    color: #0061B3;
}

/* Focused and selected state for border and arrow */
.antd-select.blue {
  border-color: #04AFFF;
  box-shadow: 0 0 3px #04AFFF;

}

/* Arrow styles */
.arrow {
  border: solid #999;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 4px;
  transition: transform 0.3s ease, border-color 0.3s ease;
  margin-bottom: 4px;
  transform: rotate(45deg);
}

.arrow.down {
  transform: rotate(45deg); /* Downward arrow */
}

.arrow.up {
  transform: rotate(-135deg); /* Upward arrow */
  margin-bottom: 0px;
  margin-top: 4px;
}

.arrow.blue {
  border-color: #04AFFF; /* Red color for selected state */
}

/* Dropdown styling */
.antd-dropdown {
  position: absolute;
  width: 100%;
  top: 100%;
  left: 0;
  border: 1px solid #d9d9d9;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
  background-color: #fff;
  border-radius: 4px;
  margin-top: 4px;
  z-index: 1000;
  overflow: hidden;
}

/* If dropdown item count exceeds height limit, enable scrolling */
.antd-dropdown {
  max-height: 200px; /* Limit the height of dropdown */
  overflow-y: auto;
}

/* Dropdown Items */
.dropdown-item {
  padding: 8px 12px;
  font-size: 14px;
  color: #000;
  cursor: pointer;
  transition: background-color 0.2s ease;
}

/* Hover effect for options */
.dropdown-item:hover {
  background-color: #f5f5f5;
}

/* Selected item styling */
.dropdown-item.selected {
  background-color: #e6f7ff; /* Light blue background for selected item */
  color: #04AFFF; /* Red text for selected item */
}
/* Hidden dropdown menu */
.hidden {
  display: none;
}

/* Scrollbar styling */
.antd-dropdown::-webkit-scrollbar {
  width: 8px;
}

.antd-dropdown::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 4px;
}

.antd-dropdown::-webkit-scrollbar-thumb:hover {
  background-color: #999;
}


.dap-learn-sec1 {
    
    background-color: #FBFBFB;
    background-image: url("/images/CorporateWebsite/NorthboundMotor/northbound-banner.webp");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: 2000px auto;
    position: relative;
}

    .dap-learn-sec1 .banner {
        height: 430px;
        padding: 24px;
        padding-bottom: 104px;
        display: flex;
        justify-content: flex-start;
        max-width: 1200px;
        margin: 0 auto;
    }

.dap-learn-sec1 .banner::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 64px; /* 渐变区域的高度，底部20px */
  background: linear-gradient(to top, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0));
}

.dap-learn-sec1 .banner .content {
    width: 496px;
}

.dap-learn-sec1 .banner .content nav ul {
    display: flex;
}

.dap-learn-sec1 .banner .content nav ul li a {
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    letter-spacing: 0px;
    color: #262626;
    text-decoration: none;
    padding: 0 5px;
}

.dap-learn-sec1 .banner .content .mBanner {
    display: none;
}

    .dap-learn-sec1 .banner .content .des {
        /*width: 496px;*/
        margin-top: 16px;
        display: flex;
        margin-top: 16px;
        flex-direction: column;
        gap: 16px;
    }

.dap-learn-sec1 .banner .content .des .title {
    font-weight: 700;
    font-size: 32px;
    line-height: 44px;
    letter-spacing: 0px;
    color: #005697;
    margin-bottom: 4px;
}

.dap-learn-sec1 .banner .content .des .text {
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    letter-spacing: 0px;
    color: #262626;
}

    .dap-learn-sec1 .banner .content .des .more {
        font-weight: 400;
        font-size: 16px;
        line-height: 24px;
        letter-spacing: 0px;
        text-align: center;
        border: 1px solid #04AFFF;
        border-radius: 100px;
        padding: 12px 48px;
        width: fit-content;
        cursor: pointer;
        background-color: transparent;
        color: #005697;
    }

        .dap-learn-sec1 .banner .content .des .more:hover {
            background: var(--im-bright-blue-60);
            border-color: var(--im-bright-blue-60);
            box-shadow: 0 0 18px #0272ae66;
            color: #fff;
        }


.dap-learn-sec1 .banner .content .des .discount {
    display: flex;
    justify-content: space-between;
    background: #fff;
    padding: 8px 16px;
    border-radius: 100px;
    box-shadow: 0px 2px 4px 0px #0000004D;
    gap:4px;
}

.dap-learn-sec1 .banner .content .des #bannerDiscount {
    /*display: none;*/
}
.dap-learn-sec1 .banner .content .des #bannerDiscount.show {
    display: block;
}

        .dap-learn-sec1 .banner .content .des .discount .left {
            display: flex;
            justify-items: center;
            align-items: center;
            gap: 4px;
        }

.dap-learn-sec1 .banner .content .des .discount .left .icon {
    width: 20px;
    height: 20px;
    background-color: #4CAF50;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    color: white;
    font-size: 12px;
    margin-right: 4px;
}

.dap-learn-sec1 .banner .content .des .discount .left h3 {
    font-weight: 700;
    font-size: 16px;
    line-height: 26px;
    letter-spacing: 0px;
    color: #005697;
}

.dap-learn-sec1 .banner .content .des .discount .right {
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    letter-spacing: 0px;
    text-align: right;
    color: #262626;
}


    .dap-learn-sec1 .banner .content .des .tab {
        /*width: 496px;*/
        height: 42px;
        border-radius: 32px;
        padding-top: 8px;
        padding-right: 16px;
        padding-bottom: 8px;
        padding-left: 16px;
        gap: 4px;
        background: #FFFFFF;
        box-shadow: 0px 2px 4px 0px #0000004D;
    }

.layout-concent {
    max-width:1200px;
    opacity: 1;
    padding-top: 64px;
    padding-bottom: 64px;
    display: flex;
    justify-content: center;
    margin:0 auto;
}
.container-layout {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
    border-radius: 16px;
    padding: 16px;
    background: #F3F3F3;
    box-shadow: 0px 24px 32px 0px #0000004D;
}
    .container-layout .notes {
        /*width: 992px;*/
        /*height: 84px;*/
        display: flex;
        border-radius: 8px;
        gap: 10px;
        padding: 16px;
        background: #FBFBFB;
        box-shadow: 0px 2px 4px 0px #0000004D;
    }
        .container-layout .notes .icon {
            width: 24px;
            height: 24px;
            padding-top: 4px;
        }
    .container-layout .notes .text {
        
        font-size: 16px;
        line-height: 26px;
        letter-spacing: 0px;
    }
    .container-layout .download-form {
        gap: 16px;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
        .container-layout .download-form .download-card-layout {
            display: flex;
            width: 100%;
            border-radius: 16px;
            gap: 8px;
            padding: 16px;
            background: #FFFFFF;
            box-shadow: 0px 2px 4px 0px #0000004D;
            justify-content: flex-start;
        }
.download-card-layout .icon {
    width: 48px;
    height: 48px;
}
.download-card-concent {
    display: flex;
    gap: 4px;
    flex-direction: column;
    align-items: flex-start;
}
    .download-card-concent .title {
        font-weight: 700;
        font-size: 20px;
        line-height: 30px;
        letter-spacing: 0px;
        color: #005697;
    }
    .download-card-concent .text {
        font-weight: 400;
        font-size: 16px;
        line-height: 26px;
        letter-spacing: 0px;
        color: #262626;
    }
    .download-card-concent .btn {
        
        height: 48px;
        border-radius: 100px;
        padding-right: 48px;
        padding-left: 48px;
        gap: 8px;
        background: #04AFFF;
        display: flex;
        font-weight: 400;
        font-size: 16px;
        line-height: 26px;
        letter-spacing: 0px;
        text-align: center;
        color: #FFFFFF;
        align-items: center;
        cursor:pointer;
    }
        .download-card-concent .btn:hover {
            background: var(--im-bright-blue-50);
            border-color: var(--im-bright-blue-60);
            box-shadow: 0 0 18px #0272ae66;
        }
.container-layout .download-form-footer {
    height: 56px;
    background: #FFFFFF;
    border-radius: 16px;
    display: flex;
    box-shadow: 0px 24px 32px 0px #0000004D;
    align-items: center;
    justify-content: center;
    gap: 30px;
}
.download-form-footer-btn {
    width: 88px;
    height: 24px;
    gap: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
    letter-spacing: 0px;
    color: #005697;
}
.download-form-footer-btn .icon{
    width:22px;
    height:22px;
    padding-top:2px;
}

.priceBox .price1 {
    display: flex;
    align-items: baseline;
}

    .priceBox .price1 span:nth-child(1) {
        font-weight: 600;
        font-size: 16px;
        line-height: 16px;
        letter-spacing: 0px;
        vertical-align: bottom;
        color: #0088C7;
    }

    .priceBox .price1 span:nth-child(2) {
        font-weight: 700;
        font-size: 24px;
        line-height: 24px;
        letter-spacing: 0px;
        text-align: center;
        vertical-align: middle;
        color: #005697;
    }

    .priceBox .price1 span:nth-child(3) {
        font-weight: 700;
        font-size: 16px;
        line-height: 18px;
        letter-spacing: 0px;
        vertical-align: middle;
        color: #005697;
    }

.priceBox .price2 {
    display: flex;
    gap: 4px;
}

    .priceBox .price2 span:nth-child(1) {
        font-weight: 700;
        font-size: 14px;
        line-height: 21px;
        letter-spacing: 0px;
        text-align: right;
        vertical-align: bottom;
        text-decoration: line-through;
        color: #858585;
    }

    .priceBox .price2 span:nth-child(2) {
        font-weight: 400;
        font-size: 14px;
        line-height: 21px;
        letter-spacing: 0px;
        vertical-align: bottom;
        color: #D31145;
    }

.terms .content {
    padding-top: 0;
    padding-bottom: 0;
}

    .terms .content .item {
        margin-top: 0;
/*        padding-top: 8px;
        padding-bottom: 8px;*/
        padding: 8px 40px;
        width: auto;
    }



.terms .contentPack {
    display: block;
}

 .terms {
    background: #F3F3F3;
}

     .terms .content {
        width: auto;
        padding: 16px;
        border-radius: 16px;
        background: #fff;
        display: flex;
        justify-content: center;
        
    }

        .terms .content .item {
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
            letter-spacing: 0px;
            color: #005697;
            display: flex;
            align-items: center;
            cursor: pointer;
            justify-content: center;
        }

             .terms .content .item .icon {
                width: 24px;
                height: 24px;
                display: inline-block;
                margin-right: 10px;
            }

     .terms .gather {
        display: flex;
        align-items: center;
        justify-content: space-between;
        background: #fff;
        padding: 8px 16px;
        border-radius: 16px;
        margin-bottom: 4px;
    }

        .terms .gather .text {
            display: flex;
            align-items: center;
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
            letter-spacing: 0px;
            color: #005697;
        }

             .terms .gather .text .icon {
                width: 24px;
                height: 24px;
                margin-right: 8px;
                font-weight: 500;
                font-size: 14px;
                line-height: 24px;
                letter-spacing: 0px;
                color: #005697;
            }

     .terms .showIcon {
        width: 24px;
        height: 24px;
        transform: rotate(180deg);
    }

         .terms .showIcon.open {
            transform: rotate(0deg);
        }

     .terms .gatherPack {
        display: none;
    }

@media (max-width: 768px) {
    .container-layout {
        border-radius: 0px;
    }
    .layout-concent {
        width: 100%;
        height: auto;
        opacity: 1;
        padding-top: 10px;
        padding-right: 0px;
        padding-bottom: 0;
        padding-left: 0px;
        display: flex;
        justify-content: center;
        margin: 0 auto;
        align-items: stretch;
        flex-direction: column;
        align-content: center;
        border-radius: 0;
    }
    .dap-learn-sec1 .banner .content nav{
        display:none;
    }
    .dap-learn-sec1 .banner .content .des .discount .left h3 {
        font-weight: 700;
        font-size: 12px;
        line-height: 20px;
        letter-spacing: 0px;
        color: #005697;
    }
    .dap-learn-sec1 .banner .content .des .more {
        
        font-size: 14px;
        line-height: 10px;        
        width: 100%;
    }
    .dap-learn-sec1 {
        margin-bottom: 0px;
        background-image: none;
    }
    .container-layout .download-form {
        gap: 16px;
        display: flex;
        flex-direction: column;
    }

    .terms .content {
    flex-direction: column;
        flex-wrap: wrap;
        gap: 0;
    }

        .terms .content .item {
            width: 50%;
            justify-content: flex-start;
            padding:8px 0;
        }
    .terms .gatherPack {
        display: block;
    }
    .terms{
        padding:0px;
    }

    .terms .contentPack {
        display: none;
    }

    .terms .contentPack.show {
        display: block;
    }
    .dap-learn-sec1 .banner .content .mBanner {
        height: 188px;
        display: block;
        background-image: url("/images/CorporateWebsite/NorthboundMotor/northbound-banner-m.png");
        background-repeat: no-repeat;
        background-size: 100% auto;
    }
    .dap-learn-sec1 .banner .content{
        width:auto;
    }
        .dap-learn-sec1 .banner .content .des {
            padding: 16px;
            margin-top: 0px;
        }
    .dap-learn-sec1 .banner {
        height: auto;
        padding:0px;
    }
}
